Several vulnerabilities in third party extensions

2012-02-23T00:00:00
ID TYPO3-EXT-SA-2012-003
Type typo3
Reporter TYPO3 Association
Modified 2012-02-23T00:00:00

Description

Several vulnerabilities have been found in the following third-party TYPO3 extensions: tkcropthumbs, t3extplorer, tc_beuser, an_predigten, solr, pdfcontroller, cc20, jwplayer

Release Date: February 23, 2012

Please read first: This Collective Security Bulletin (CSB) is a listing of vulnerable extensions with neither significant download numbers, nor other special importance amongst the TYPO3 Community. The intention of CSBs is to reduce the workload of the TYPO3 Security Team and of the maintainers of extensions with vulnerabilities. Nevertheless, vulnerabilities in TYPO3 core or important extensions will still get the well-known single Security Bulletin each.

Please read our buzz blog post, which has a detailed explanation on CSBs.

All vulnerabilities affect third-party extensions. These extensions are not part of the TYPO3 default installation.

Extension: Crop and Square Thumbnails (tkcropthumbs)

Affected Versions: 1.2.4 and all versions below

Vulnerability Type: SQL Injection, Cross-Site Scripting

Severity: High

Suggested CVSS v2.0: AV:N/AC:M/Au:S/C:C/I:N/A:N/E:F/RL:OF/RC:C (What's that?)

Solution: An update (version 1.2.5) is available from the TYPO3 extension manager and at<http://typo3.org/extensions/repository/view/tkcropthumbs/1.2.5/>. The latest version of the extension is 1.2.6 which also contains the security fix.

Credits: Credits go to Frank Nägler who discovered and reported this issue.

Extension: Typo3 eXtplorer (t3extplorer)

Affected Version: 0.0.2

Vulnerability Type: Path Traversal

Severity: Low

Suggested CVSS v2.0: AV:N/AC:L/Au:S/C:P/I:N/A:N/E:F/RL:U/RC:C (What's that?)

Solution: Versions of this extension that are known to be vulnerable will no longer be available for download from the TYPO3 Extension Repository. The extension author failed in providing a security fix for the reported vulnerability in a decent amount of time. Please uninstall and delete the extension folder from your installation.

Note: Should the author decide to reply to our request and provide a fixed version, the extension could return to the TYPO3 Extension Repository.

Credits: Credits go to Chris John Riley who discovered and reported this issue.

Extension: TC BE User Admin (tc_beuser)

Affected Versions: 1.0.4 and all versions below

Vulnerability Type: Cross-Site Scripting

Severity: Low

Suggested CVSS v2.0: AV:N/AC:M/Au:S/C:N/I:P/A:N/E:F/RL:OF/RC:C (What's that?)

Solution: An update (version 1.0.5) is available from the TYPO3 extension manager and at<http://typo3.org/extensions/repository/view/tc_beuser/1.0.5/>.

Credits: Credits go to Security Team Member Georg Ringer who discovered and reported this issue.

Extension: Predigtsammlung (an_predigten)

Affected Versions: 0.1.5 and all versions below

Vulnerability Type: SQL Injection

Severity: High

Suggested CVSS v2.0: AV:N/AC:M/Au:N/C:C/I:N/A:N/E:F/RL:U/RC:C (What's that?)

Solution: Versions of this extension that are known to be vulnerable will no longer be available for download from the TYPO3 Extension Repository. The extension author failed in providing a security fix for the reported vulnerability in a decent amount of time. Please uninstall and delete the extension folder from your installation.

Note: Should the author decide to reply to our request and provide a fixed version, the extension could return to the TYPO3 Extension Repository.

Credits: Credits go to Security Team Member Georg Ringer who discovered and reported this issue.

Extension: Apache Solr for TYPO3 (solr)

Affected Versions: 1.3.0 and all versions below

Vulnerability Type: Cross-Site Scripting

Severity: Low

Suggested CVSS v2.0: AV:N/AC:H/Au:N/C:N/I:P/A:N/E:F/RL:OF/RC:C (What's that?)

Solution: An update (version 1.3.1) is available from the TYPO3 extension manager and at<http://typo3.org/extensions/repository/view/solr/1.3.1/>.

Credits: This issue has been discoverd during the last Security Code Sprint and has been reported to the author by the team.

Extension: PDF Controller (pdfcontroller)

Affected Versions: 1.0.1 and all versions below

Vulnerability Type: Remote Code Execution, Information Disclosure

Severity: Critical

Suggested CVSS v2.0: AV:N/AC:L/Au:N/C:C/I:C/A:N/E:F/RL:OF/RC:C (What's that?)

Solution: An update (version 1.1.1) is available from the TYPO3 extension manager and at<http://typo3.org/extensions/repository/view/pdfcontroller/1.1.1/>.

Credits: Credits go to Security Team Member Georg Ringer who discovered and reported this issue.

Extension: Share Your Car (cc20)

Affected Version: 2.0.0

Vulnerability Type: Cross-Site Scripting, SQL Injection

Severity: Critical

Suggested CVSS v2.0: AV:N/AC:M/Au:N/C:C/I:P/A:N/E:F/RL:U/RC:C (What's that?)

Solution: Versions of this extension that are known to be vulnerable will no longer be available for download from the TYPO3 Extension Repository. The extension author failed in providing a security fix for the reported vulnerability in a decent amount of time. Please uninstall and delete the extension folder from your installation.

Note: Should the author decide to reply to our request and provide a fixed version, the extension could return to the TYPO3 Extension Repository.

Credits: Credits go to Security Team Member Georg Ringer who discovered and reported this issue.

Extension: JW Player (jwplayer)

Affected Version: 1.2.4 and all versions below

Vulnerability Type: Cross-Site Scripting, SQL Injection

Severity: Critical

Suggested CVSS v2.0: AV:N/AC:M/Au:S/C:C/I:P/A:N/E:U/RL:OF/RC:C (What's that?)

Solution: An update (version 1.2.5) is available from the TYPO3 extension manager and at<http://typo3.org/extensions/repository/view/jwplayer/1.2.5/>.

Credits: Credits go to Andreas Grunwald who discovered and reported this issue.

General advice: Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list to receive future Security Bulletins via E-mail.